'use strict'
var __importDefault =
	(this && this.__importDefault) ||
	function (mod) {
		return mod && mod.__esModule ? mod : { default: mod }
	}
Object.defineProperty(exports, '__esModule', { value: true })
exports.universalOrder = void 0
const arrangekeys_1 = __importDefault(require('arrangekeys'))
/** The desired universally consistent order for the package.json properties */
exports.universalOrder = [
	// metadata
	'title',
	'name',
	'version',
	'private',
	'description',
	'homepage',
	'license',
	'keywords',
	'badges',
	// people
	'funding',
	'author',
	'sponsors',
	'maintainers',
	'contributors',
	// support and compat
	'bugs',
	'repository',
	'engines',
	'editions',
	// entries
	'bin',
	'types',
	'type',
	'main',
	'node',
	'cjs',
	'mjs',
	'test',
	'exports',
	'deno',
	'browser',
	'module',
	'jspm',
	// deps
	'dependencies',
	'optionalDependencies',
	'devDependencies',
	'peerDependencies',
	// scripts
	'scripts',
	// configs
	'vercel',
	'eslintConfig',
	'prettier',
	'babel',
]
/**
 * Arrange the properties of package.json data to a universally consistent order.
 * Known fields are arranged to their universally consistent order. Unknown fields are placed at the end with their order maintained.
 */
function arrangePackageData(packageData, order = exports.universalOrder) {
	return arrangekeys_1.default(packageData, order)
}
exports.default = arrangePackageData
